Bug 648107 - [abrt] desktop-effects-0.8.7-2.fc14: raise: Process /usr/bin/desktop-effects was killed by signal 6 (SIGABRT)
[abrt] desktop-effects-0.8.7-2.fc14: raise: Process /usr/bin/desktop-effects ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: desktop-effects (Show other bugs)
14
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:9cd7bafd6cb86e66458f712eee2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-30 20:21 EDT by Kevin dePfyffer
Modified: 2012-08-16 15:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.79 KB, text/plain)
2010-10-30 20:21 EDT, Kevin dePfyffer
no flags Details

  None (edit)
Description Kevin dePfyffer 2010-10-30 20:21:37 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: desktop-effects
component: desktop-effects
crash_function: raise
executable: /usr/bin/desktop-effects
kernel: 2.6.35.6-48.fc14.i686
package: desktop-effects-0.8.7-2.fc14
rating: 3
reason: Process /usr/bin/desktop-effects was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1288483817
uid: 500

How to reproduce
-----
1.logged into gnome
2. clicked on desktop effects
3.crash
Comment 1 Kevin dePfyffer 2010-10-30 20:21:39 EDT
Created attachment 456682 [details]
File: backtrace
Comment 2 Mirco Scaramucci 2010-11-02 07:53:43 EDT
Package: desktop-effects-0.8.7-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Navigated to system- preferences- desktop effects
2.Clicked on icon
3.App never opened and created crash report
Comment 3 Kevin dePfyffer 2010-11-02 09:59:41 EDT
I'm pretty sure this is only happening due to not having the correct driver loaded or not having glx (aiglx) loaded. It would be nice if desktop effect checked glxinfo before it tried to start then report that glxinfo is not working. New users are not going to know what to check and will need a little hand holding in order to get things working.
Comment 4 Owen Taylor 2010-11-02 10:37:45 EDT
desktop-effects basically does the same thing as glxinfo, and that's usually crashing.

It might make sense to run that in a separate executable, since crashing GLX drivers seem to be common; my plans for F15, where desktop-effects will be replaced by built in GNOME functionality run along those lines.
Comment 5 Kevin dePfyffer 2010-11-02 15:30:23 EDT
(In reply to comment #4)
> desktop-effects basically does the same thing as glxinfo, and that's usually
> crashing.
> 
> It might make sense to run that in a separate executable, since crashing GLX
> drivers seem to be common; my plans for F15, where desktop-effects will be
> replaced by built in GNOME functionality run along those lines.

Let me know if there is any testing I can do to help. Running the latest nvidia driver, from nvidia not a repo, most of my repo installs of the nvidia driver have had these problems.
Thanks
Comment 6 David Stolt 2010-11-08 16:41:27 EST
Package: desktop-effects-0.8.7-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Desktopeffekte aktivieren
2.
3.
Comment 7 Dave Cross 2010-11-11 04:28:25 EST
Package: desktop-effects-0.8.7-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Select system -> desktop effects
2. Crash reported.
3.


Comment
-----
Simply chose the menu option.
Comment 8 Tonsenst 2010-11-13 18:42:42 EST
Package: desktop-effects-0.8.7-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just click : System -> Preference -> Desktop Effect
2.
3.
Comment 9 Adam DiFrischia 2010-11-17 14:40:31 EST
Package: desktop-effects-0.8.7-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Updated kernel, kernel-devel, kernel-headers, gcc, make, and automake
1a. Reboot
2.  Installed nvidia binary drivers from www.nvidia.com
2a. Reboot
3. Enabled compiz desktop effects and enabled secondary monitor (Dell D/Dock) through nvidia-settings
4. Launched Desktop Effects option and crash.
Comment 10 Fedora End Of Life 2012-08-16 15:43:28 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.